Last Comment Bug 309902 - Bring back <plaintext>'s properties in html.css
: Bring back <plaintext>'s properties in html.css
Status: RESOLVED FIXED
: fixed1.8, regression, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 98
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap) (please use needinfo!)
:
Mentors:
http://jeka.info/bugs/p-button-p.html
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 13:05 PDT by j.j.
Modified: 2005-09-27 02:01 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (161 bytes, text/html)
2005-09-24 13:09 PDT, j.j.
no flags Details
Fix html.css (621 bytes, patch)
2005-09-26 10:59 PDT, Blake Kaplan (:mrbkap) (please use needinfo!)
bzbarsky: review+
bzbarsky: superreview+
bzbarsky: approval1.8b5+
Details | Diff | Review

Description j.j. 2005-09-24 13:05:25 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

This may be an regession of bug 287990

plaintext is not displayed with white-space:pre and font-family:monospace like
in former versions (I tested with FF1.0.2) and all other browsers.

To fix this is easy. Change this lines in html.css

xmp, pre {
  display: block;
  font-family: -moz-fixed;
  white-space: pre;
  margin: 1em 0;
}

to this:

plaintext, xmp, pre {
  display: block;
  font-family: -moz-fixed;
  white-space: pre;
  margin: 1em 0;
}

Reproducible: Always

Steps to Reproduce:
1. go to URL above or to testcase (coming soon) and note the plaintext element,
it's the grey box.

Actual Results:  
The plaintext element is inline, has no fixed font, white-space is collapsed.

Expected Results:  
The plaintext element is a block element, font is fixed, white-space don't collapse.
Comment 1 j.j. 2005-09-24 13:09:58 PDT
Created attachment 197282 [details]
testcase
Comment 2 Blake Kaplan (:mrbkap) (please use needinfo!) 2005-09-24 20:09:46 PDT
Oops, I forgot to check the changes to html.css. I'll do that on Monday.
Comment 3 Blake Kaplan (:mrbkap) (please use needinfo!) 2005-09-26 10:59:09 PDT
Created attachment 197440 [details] [diff] [review]
Fix html.css

I had this in my tree, even...
Comment 4 Boris Zbarsky [:bz] 2005-09-26 11:08:38 PDT
Comment on attachment 197440 [details] [diff] [review]
Fix html.css

r+sr+a for 1.8
Comment 5 Blake Kaplan (:mrbkap) (please use needinfo!) 2005-09-26 11:19:01 PDT
Fix checked in on trunk and MOZILLA_1_8_BRANCH.

Note You need to log in before you can comment on or make changes to this bug.